import css from '@activewidgets/datagrid/style';
import adapter from '@activewidgets/frameworks/jquery';
import $ from 'jquery';
import * as preact from 'preact';
import htm from 'htm';
import * as components from '@activewidgets/datagrid/js';
import * as metadata from '@activewidgets/datagrid/metadata';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var _adapter = adapter(preact, $),
    h = _adapter.h,
    build = _adapter.build;
var tpl = htm.bind(h);

build(components, metadata);

styleInject(css);

export { build, h, tpl };
//# sourceMappingURL=bundle.js.map
